Subject: RE: [BUG] More on t5562 hangs randomly in subtests 6,8 and 13 in 2.21.0-rc0

From: "Randall S. Becker" <[email-masked]>
Date: Wed, 13 Feb 2019 13:20:55 -0500

On February 13, 2019 12:41, Max Kirillov wrote:
> On Wed, Feb 13, 2019 at 10:16:26AM -0500, [email-masked]
> wrote:
> > On 2019-02-13, Max Kirillov, wrote:
> > As far as the unintended reuse of the output file, and issues with
> > pipes, yes, the NonStop is very sensitive to complex use of pipes and
> > much of the compatibility issues we have had relate to those (usually
> > Linux-specific pipe assumptions). That is where I have been looking
> > when trying to debug this situation (not yet found anything). This
> > could very well be directly related.
> 
> You mentioned cases 6,8,13. These are all related to gipped request body.
> Could it be the git-http-backend does not clean a sub-process which
> pervforms the decompression?

I guess that is possible. I don't know the guts of this part of the code.